// If you edit this file you need to compile the theme. See README.md for details.

// Global variable overrides. Must be declared before importing Valo.

// Defines the plaintext font size, weight and family. Font size affects general component sizing.
//$v-font-size: 16px;
//$v-font-weight: 300;
//$v-font-family: "Open Sans", sans-serif;

// Defines the border used by all components.
//$v-border: 1px solid (v-shade 0.7);
//$v-border-radius: 4px;

// Affects the color of some component elements, e.g Button, Panel title, etc
//$v-background-color: hsl(210, 0%, 98%);
// Affects the color of content areas, e.g  Panel and Window content, TextField input etc
//$v-app-background-color: $v-background-color;

// Affects the visual appearance of all components
//$v-gradient: v-linear 8%;
//$v-bevel-depth: 30%;
//$v-shadow-opacity: 5%;

// Defines colors for indicating status (focus, success, failure)
//$v-focus-color: valo-focus-color(); // Calculates a suitable color automatically
//$v-friendly-color: #2c9720;
//$v-error-indicator-color: #ed473b;

// For more information, see: https://vaadin.com/book/-/page/themes.valo.html
// Example variants can be copy/pasted from https://vaadin.com/docs/v8/framework/articles/ValoExamples.html

@import "../valo/valo.scss";

@mixin mytheme {
  @include valo;

  // Insert your own theme rules here
  //Login
  .principal {
    //background-color: black;
    background-size: cover;
    width: auto;
    height: auto;

    &[width-range~="0-550px"] {
       background-image: none;
    }
  }
  .contenedor {
    width: 100%;
    height: 100%;
    overflow: scroll;
    background-color: #d0d0d0;

    }
    .container-form {
      width: 23%;
      background-color: white;
      margin: 80px auto;
      padding: 50px 50px 50px 50px;
      color: #616161;
      font-size: 15px;
      font-weight: 500;
      height: 480px;
      border-radius: 10px;
      box-shadow: 5px 5px 10px 4px;
      text-align: justify;
      background-size: contain;
      min-width: 260px;
      &[width-range~="0-550px"] {
        min-width: 500px ;
        min-height: 500px;
      }

      h1 {
        font-size: 35px;
        font-weight: 500;
        color: #464646;
        margin-top: 3px;
        text-align: left;
      }

      .btn-continuar {
        background-color: #2997e5;
        width: 100%;
        height: 52px;
        border-radius: 5px;
        text-align: center;
        vertical-align: middle;
        padding: 9px;
        font-size: 20px;
        color: white;
        margin-bottom: 15px;
        background-image: none;
        border: none;
      }
    }

    .label-salto{
      word-break: break-word;
    }

    .container{
      max-width: 600px;
    }
  }

